aboutsummaryrefslogtreecommitdiffstats
path: root/main/xfce4-cpufreq-plugin
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xfce4-cpufreq-plugin
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xfce4-cpufreq-plugin')
-rw-r--r--main/xfce4-cpufreq-plugin/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/main/xfce4-cpufreq-plugin/APKBUILD b/main/xfce4-cpufreq-plugin/APKBUILD
new file mode 100644
index 0000000000..4f134440ae
--- /dev/null
+++ b/main/xfce4-cpufreq-plugin/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-cpufreq-plugin
+pkgver=0.0.1
+pkgrel=0
+pkgdesc="CPU frequency plugin for the Xfce4 panel"
+url="http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin"
+license="GPL2"
+depends=
+makedepends="pkgconfig xfce4-panel-dev intltool libsm-dev"
+install=
+source="http://goodies.xfce.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/xfce4-cpu-freq-plugin-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib/xfce4 \
+ --localstatedir=/var \
+ --disable-static
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/xfce4-cpu-freq-plugin-$pkgver
+ make DESTDIR="$pkgdir" install
+}
+md5sums="7ad41541d8065aab941de7d62857aa8b xfce4-cpufreq-plugin-0.0.1.tar.gz"